S
docs.syncra.money
API ReferenceMerchant APIApi referenceCallbacks

List webhook delivery records

Returns webhook delivery records for the merchant, optionally filtered by deal. Alias binding: `GET /api/v1/p2p/callbacks`.

GET/api/v1/p2p/merchant/callbacks

Returns webhook delivery records for the merchant, optionally filtered by deal. Alias binding: GET /api/v1/p2p/callbacks.

Authorization

MerchantToken MerchantSignature
X-Merchant-Token<token>

64-character hex public merchant token assigned during onboarding.

In: header

X-Signature<token>

Stripe-style HMAC-SHA256 signature. Format: t=<unix_seconds>,v1=<hex_hmac_sha256> where hex_hmac = HMAC-SHA256(webhook_secret, "<unix_seconds>.<raw_body>"). Replay window: 5 minutes (60s future drift tolerated).

In: header

Query Parameters

deal_id?string

Filter delivery records by deal ID.

Formatuuid
page_size?integer

Maximum number of results to return (default 20, max 100).

Formatint32
Range1 <= value <= 100
Default20

Response Body

application/json

application/problem+json

curl -X GET "https://example.com/api/v1/p2p/merchant/callbacks"
{  "data": [    {      "callback_id": "f4a074ff-b67f-4fe6-8a19-9acf4989a084",      "deal_id": "2fa5b64f-5b72-4263-958e-07b76f41abe3",      "merchant_id": "500924a8-3f5e-4c00-beb8-2efcde988aea",      "callback_url": "http://example.com",      "status": "PENDING",      "retry_count": 0,      "response_code": 0,      "response_body": "string",      "next_retry_at": "2019-08-24T14:15:22Z",      "created_at": "2019-08-24T14:15:22Z"    }  ]}
{  "type": "../dictionary",  "title": "string",  "status": 0,  "detail": "string",  "instance": "../dictionary",  "errors": [    {      "field": "amount",      "message": "must be greater than 0",      "code": "POSITIVE_REQUIRED"    }  ]}